Bug 441156 - Kirigami.SwipeListItem loses action buttons in RTL mode
Summary: Kirigami.SwipeListItem loses action buttons in RTL mode
Status: NEEDSINFO WAITINGFORINFO
Alias: None
Product: frameworks-kirigami
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: 5.85.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: Not decided
Assignee: Marco Martin
URL:
Keywords: regression, rtl
: 444287 445465 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-08-19 06:58 UTC by Zayed Al-Saidi
Modified: 2022-11-17 15:46 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.93


Attachments
Current lang setting in RTL mode (87.51 KB, image/png)
2021-08-19 06:58 UTC, Zayed Al-Saidi
Details
bug description (47.15 KB, image/png)
2022-10-11 10:53 UTC, Mosaab Alzoubi
Details
systemsettings languages page in arabic (224.54 KB, image/png)
2022-10-11 16:15 UTC, Janet Blackquill
Details
SwipeListItem RTL issue (kde framework 5.100.0) (36.58 KB, image/png)
2022-10-11 18:56 UTC, Zayed Al-Saidi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zayed Al-Saidi 2021-08-19 06:58:24 UTC
Created attachment 140830 [details]
Current lang setting in RTL mode

SUMMARY
Selecting language in RTL mode is missing some  action's icons (i.e download missing packages, reorder the language preference and delete the language)  

STEPS TO REPRODUCE
1. Run systemsettings5 -reverse if you are in LTR environment  
2. Open kcm_language
3. 

OBSERVED RESULT
download missing packages, reorder the language preference and delete the language icons are missing. Please see the attachment. 

EXPECTED RESULT
They should appears at left side of the view.

SOFTWARE/OS VERSIONS
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.22.80
KDE Frameworks Version: 5.86.0
Qt Version: 5.15.3
Kernel Version: 5.11.0-27-generic (64-bit)
Graphics Platform: X11
Processors: 3 × AMD Ryzen 9 3900X 12-Core Processor
Memory: 4.9 غ.بايت of RAM
Graphics Processor: llvmpipe 

ADDITIONAL INFORMATION
Comment 1 Nate Graham 2021-08-19 19:33:16 UTC
Can reproduce. These list items use Kirigami.SwipeListItem, which it seems does not work correctly with this.
Comment 2 Nate Graham 2021-08-19 21:34:30 UTC
Urgh this code is complicated
Comment 3 Nate Graham 2021-10-25 20:49:59 UTC
*** Bug 444287 has been marked as a duplicate of this bug. ***
Comment 4 Nicolas Fella 2021-11-14 21:01:15 UTC
*** Bug 445465 has been marked as a duplicate of this bug. ***
Comment 5 Bug Janitor Service 2022-03-03 15:14:19 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/kirigami/-/merge_requests/508
Comment 6 Nate Graham 2022-03-06 17:45:55 UTC
Git commit 319cd9548bd4fa0ddcc44484edfa7c68675854b3 by Nate Graham, on behalf of Jan Blackquill.
Committed on 06/03/2022 at 17:45.
Pushed by ngraham into branch 'master'.

controls/SwipeListItem: handle RtL properly
FIXED-IN: 5.93

M  +8    -5    src/controls/templates/SwipeListItem.qml

https://invent.kde.org/frameworks/kirigami/commit/319cd9548bd4fa0ddcc44484edfa7c68675854b3
Comment 7 Mosaab Alzoubi 2022-10-11 10:52:36 UTC
This patch, make this bug live again :(

https://invent.kde.org/frameworks/kirigami/-/commit/a2244ddd00b5ba495970d861cc1156d1260d1a23
Comment 8 Mosaab Alzoubi 2022-10-11 10:53:26 UTC
Created attachment 152698 [details]
bug description
Comment 9 Zayed Al-Saidi 2022-10-11 14:30:35 UTC
Yes, I confirm this bug is reopened :( 

The previous fix is reverted in:
https://invent.kde.org/frameworks/kirigami/-/merge_requests/574

Operating System: Kubuntu 22.04
KDE Plasma Version: 5.25.5
KDE Frameworks Version: 5.98.0
Qt Version: 5.15.3
Comment 10 Janet Blackquill 2022-10-11 16:14:37 UTC
I can't seem to reproduce the bug on latest git master everything.  All the pages I've checked in systemsettings render as expected, including the screenshotted languages page.

What version are you on?

Also, the !574 MR wasn't merged as far as I know.
Comment 11 Janet Blackquill 2022-10-11 16:15:30 UTC
Created attachment 152707 [details]
systemsettings languages page in arabic
Comment 12 Zayed Al-Saidi 2022-10-11 16:19:22 UTC
(In reply to Janet Blackquill from comment #10)
> I can't seem to reproduce the bug on latest git master everything.  All the
> pages I've checked in systemsettings render as expected, including the
> screenshotted languages page.
> 
> What version are you on?
> 
> Also, the !574 MR wasn't merged as far as I know.

I can confirm this in KDE neon user edition: 
Operating System: KDE neon 5.26
KDE Plasma Version: 5.26.0
KDE Frameworks Version: 5.98.0
Qt Version: 5.15.6
Kernel Version: 5.11.0-40-generic (64-bit)

I will try the daily build to see the master.
Comment 13 Zayed Al-Saidi 2022-10-11 18:54:39 UTC
(In reply to Janet Blackquill from comment #10)
> I can't seem to reproduce the bug on latest git master everything.  All the
> pages I've checked in systemsettings render as expected, including the
> screenshotted languages page.
> 
> What version are you on?
> 
> Also, the !574 MR wasn't merged as far as I know.

Still getting same result with latest build from KDE neon Unstable:
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.26.80
KDE Frameworks Version: 5.100.0
Qt Version: 5.15.6
Kernel Version: 5.15.0-50-generic (64-bit)
Graphics Platform: X11

If you need more info, you are welcome
Comment 14 Zayed Al-Saidi 2022-10-11 18:56:29 UTC
Created attachment 152717 [details]
SwipeListItem RTL issue (kde framework 5.100.0)

SwipeListItem RTL issue (kde framework 5.100.0)
Comment 15 Zayed Al-Saidi 2022-10-13 17:53:05 UTC
I'm getting this in terminal when I test Advanced Language Selection Page by adding new lang

zayed@zayed-virtualbox:~$ kcmshell5 kcm_regionandlang
file:///usr/share/kpackage/kcms/kcm_regionandlang/contents/ui/main.qml:19:13: QML ColumnLayout: Cannot anchor to an item that isn't a parent or sibling.
file:///usr/lib/x86_64-linux-gnu/qt5/qml/org/kde/kirigami.2/PlaceholderMessage.qml:239:5: QML Heading: Binding loop detected for property "verticalAlignment"
file:///usr/share/kpackage/kcms/kcm_regionandlang/contents/ui/AdvancedLanguageSelectPage.qml:27:13: QML ColumnLayout: Cannot anchor to an item that isn't a parent or sibling.
qml: The item AdvancedLanguageSelectPage_QMLTYPE_159(0x55e99a864d80) is already in the PageRow
<Unknown File>: QML QQuickAnchors: Binding loop detected for property "right"
qml: Don't override the leftPadding or rightPadding on a SwipeListItem!
This makes it impossible for me to adjust my layout as I need to for various usecases.
I'll try to fix the mistake for you, but you should remove your overrides from your app's code entirely.
If I can't fix the paddings, I'll fall back to a default layout, but it'll be slightly incorrect and lacks
adaptations needed for touch screens and right-to-left languages, among other things.
<Unknown File>: QML QQuickAnchors: Binding loop detected for property "right"
qml: Don't override the leftPadding or rightPadding on a SwipeListItem!
This makes it impossible for me to adjust my layout as I need to for various usecases.
I'll try to fix the mistake for you, but you should remove your overrides from your app's code entirely.
If I can't fix the paddings, I'll fall back to a default layout, but it'll be slightly incorrect and lacks
adaptations needed for touch screens and right-to-left languages, among other things.
<Unknown File>: QML QQuickAnchors: Binding loop detected for property "right"
qml: Don't override the leftPadding or rightPadding on a SwipeListItem!
This makes it impossible for me to adjust my layout as I need to for various usecases.
I'll try to fix the mistake for you, but you should remove your overrides from your app's code entirely.
If I can't fix the paddings, I'll fall back to a default layout, but it'll be slightly incorrect and lacks
adaptations needed for touch screens and right-to-left languages, among other things.
<Unknown File>: QML QQuickAnchors: Binding loop detected for property "right"
qml: Don't override the leftPadding or rightPadding on a SwipeListItem!
This makes it impossible for me to adjust my layout as I need to for various usecases.
I'll try to fix the mistake for you, but you should remove your overrides from your app's code entirely.
If I can't fix the paddings, I'll fall back to a default layout, but it'll be slightly incorrect and lacks
adaptations needed for touch screens and right-to-left languages, among other things.
Comment 16 Zayed Al-Saidi 2022-11-16 19:33:36 UTC
I test this with:
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.26.80
KDE Frameworks Version: 5.100.0

And I can't reproduce it! Maybe it is fixed by this commit:
https://invent.kde.org/frameworks/kirigami/-/commit/b6980005ab3878747c27c5e7265b442188953a7c

Anyhow, I will give some time to testing, then we can close this bug. 

Mosaab Alzoubi please test this again.
Comment 17 Janet Blackquill 2022-11-17 15:46:40 UTC
Marking as needsinfo